Installation issue in adf app generator

cancel
Showing results for 
Search instead for 
Did you mean: 
Active Member

Installation issue in adf app generator

Jump to solution

Hii, i'm new in alfresco.I want to build our application using ADF but when i start to install generator-alfresco-adf-app,I'm getting error like this....Capture.PNG

1 Solution

Accepted Solutions
Community Manager
Community Manager

Re: Installation issue in adf app generator

Jump to solution

Hi @laitver10 

To be honest, I don't know this well enough to be sure. However, my suspicion is that there are dependencies that are covered off when you install Visual Studio on a Windows machine - this might not be the case with Sublime, for example. VS is free so I'd try installing it & then see how it goes. 

Good luck! Let us know how it goes.

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!

View solution in original post

8 Replies
Community Manager
Community Manager

Re: Installation issue in adf app generator

Jump to solution

Hi @laitver10 & welcome to Alfresco!

It looks like you're missing one of the pre-requisites - have you had a look at the required software?

HTH,

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!
Active Member

Re: Installation issue in adf app generator

Jump to solution

Hii @EddieMay thanks for reply,I have all dependencies related to this project.i have installed python 2.7, node.js version 12.9,npm version is 6.10.2 and also have yeoman generator. is it these error are related to the vs code??. 

Community Manager
Community Manager

Re: Installation issue in adf app generator

Jump to solution

Hi @laitver10 

Have you tried running the command with --loglevel silly added? This might help track down the origin of the problem.

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!
Community Manager
Community Manager

Re: Installation issue in adf app generator

Jump to solution

Hi @laitver10 

I've just installed the adf app generator on my Mac. Initially it failed due to not having XCode installed. I was getting the following output:

13039 verbose lifecycle deasync@0.1.14~install: CWD: /usr/local/lib/node_modules/generator-alfresco-adf-app/node_modules/deasync
13040 silly lifecycle deasync@0.1.14~install: Args: [ '-c', 'node ./build.js' ]
13041 silly lifecycle deasync@0.1.14~install: Returned: code: 1  signal: null
13042 info lifecycle deasync@0.1.14~install: Failed to exec install script
13043 timing action:install Completed in 4553ms
13044 verbose unlock done using /Users/emay/.npm/_locks/staging-3a08f0df5026584d.lock for /usr/local/lib/node_modules/.staging
13045 timing stage:rollbackFailedOptional Completed in 5122ms
13046 timing stage:runTopLevelLifecycles Completed in 60821ms
13047 verbose stack Error: deasync@0.1.14 install: `node ./build.js`
13047 verbose stack Exit status 1
13047 verbose stack     at EventEmitter.<anonymous> (/usr/local/lib/node_modules/npm/node_modules/npm-lifecycle/index.js:332:16)
13047 verbose stack     at EventEmitter.emit (events.js:311:20)
13047 verbose stack     at ChildProcess.<anonymous> (/usr/local/lib/node_modules/npm/node_modules/npm-lifecycle/lib/spawn.js:55:14)
13047 verbose stack     at ChildProcess.emit (events.js:311:20)
13047 verbose stack     at maybeClose (internal/child_process.js:1021:16)
13047 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
13048 verbose pkgid deasync@0.1.14
13049 verbose cwd /Users/emay/Documents
13050 verbose Darwin 19.6.0
13051 verbose argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "-g" "generator-alfresco-adf-app@latest"
13052 verbose node v12.16.1
13053 verbose npm  v6.13.4
13054 error code ELIFECYCLE
13055 error errno 1
13056 error deasync@0.1.14 install: `node ./build.js`
13056 error Exit status 1
13057 error Failed at the deasync@0.1.14 install script.
13057 error This is probably not a problem with npm. There is likely additional logging output above.
13058 verbose exit [ 1, true ]

After I installed XCode everything else installed OK & I've now generated and ADF app.ADF App Generator intalledADF App Generator intalled

So you may have to install MS Visual Studio before the adf app generator will complete?

HTH,

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!
Active Member

Re: Installation issue in adf app generator

Jump to solution

Thanks @EddieMay ,is it necessory to have a vs code editor only  or we can use any other code editor like sublime. 

Community Manager
Community Manager

Re: Installation issue in adf app generator

Jump to solution

Hi @laitver10 

To be honest, I don't know this well enough to be sure. However, my suspicion is that there are dependencies that are covered off when you install Visual Studio on a Windows machine - this might not be the case with Sublime, for example. VS is free so I'd try installing it & then see how it goes. 

Good luck! Let us know how it goes.

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!

View solution in original post

Active Member

Re: Installation issue in adf app generator

Jump to solution

Thanks @EddieMay  for your support

Senior Member II

Re: Installation issue in adf app generator

Jump to solution

Hope, you installing with admin access.

Thanks & Regards,
Sanjay